### Signal

# FwupdPlugin Plugin::device-register

since: 0.9.7

#### Declaration

    void
    device_register (
      FuPlugin* self,
      FuDevice* device,
      gpointer user_data
    )

#### Description [src]

The ::device-register signal is emitted when another plugin has added the device.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.9.7

#### Parameters

`device`

  Type: `FuDevice`

  The `FuDevice`.

  The data is owned by the caller of the function.